 /* As a rule of thumb, if the element is not a header, content, footer, or logo, use classes instead of ids
Also, always declare properties in the order it shows up in the HTML. */

/*We use the fix position for the header, since we want the user to have the navigation bar at all times*/
#header{
    display: inline-block;
    /*Fixed elements will always have higher z-index by default.*/
    position: fixed;
}

/*Here we have a descendant combinator. This basically says, any unordered list that is a child of the #header element with have the following
properties. Always comment what a descendant combinator actually is: Navigation Menu
    
We are making this navigation menu inline because we do not want the list to have dots per item.*/
#header ul{
    display: inline;
       
    /*Lesson 3 stuff, don't worry about it for now*/
    margin: 0;
    padding: 0;

    font-family: Helvetica, sans-serif;
    font-size: 30px;
}

/*As a rule of thumb, whenever a child weirdly doesn't inherit the parent's stuff, just restate it.*/
#header ul li{
    display: inline;

    /*Lesson 3 stuff, don't worry about it for now*/
    margin: 0;
    padding: 0;
}

/*Although it will not effect the content element, the display and position will be inherited by everything within the content div. We
are essentialy setting the standard for all children elements.*/
#content{
    display: flex;
    position: relative;

    /*This is why content must be relative: it needs spacing from the top of the screen to give space to the header (or else the header
    will overlap, as it is fixed.*/
    top: 50px;

    /*Flexbox properties*/
    flex-direction: column;
    justify-content: flex-start;

    /*Lesson 3 stuff, don't worry about it for now.*/
    width: 100%;
    height: 100%;
}

/*This is a muti-class rule set. All classes listed share the same rules as below.*/
.main-header-title, .body-title{
    /*Also, if you don't want the flex-box to put any elements side-by-side with these few, simply make these elements blocks*/
    display: block;
    position: static;

    /*Lesson 4 stuff, don't worry about it for now.*/
    font-family: Helvetica, sans-serif;
    font-size: 24;
    text-align: center;
}
        
/*While you do not have to specify the children as inheriting the parent properties, we are overriding the top multi-class rule. While we could just
delete .main-header-title from the mutli-class rule set, this is to make the code more maintainable, as we are setting the standard for all titles first
and then editing a specific title.*/
.main-header-title{
    position: inherited;

    /*Lesson 3 stuff, don't worry about it for now.*/
    margin: 0 auto;
}

/*Flexboxes are pretty rigid, and sometimes we need to tweek the way certain areas flex. Therefore, we have these divs that simply change the way a certain area
flexes. In this case, we want the flex to change from vertically to horizontally*/
.greeting-body{
        display: flex;
        flex-direction: row;
        justify-content: center;
}

.greeting-blue-body, .greeting-red-body{
    display: inline-block;

    /*Lesson 3 stuff, don't worry about it for now.*/
    height: 300px;
}

.greeting-blue-body{
    background-color: blue;

    /*This is a short hand property. It basically combines multiple properties together into one line.
    In this case, the first number is flex-grow, the second is flex-shrink, and the third is flex basis.
         
    We make the blue body have a higher flex-grow and flex-shrink, because we want it to take up more space proportionately, no matter the screen size.*/
    flex: 2 1 auto;
}

.greeting-red-body{
    background-color: red;

    flex: 1 2 auto;
}